org.apache.mina.statemachine.annotation

## Annotation Type TransitionAnnotation

-     @Retention(value=RUNTIME)
      @Target(value=ANNOTATION_TYPE)
      public @interface TransitionAnnotation

  Annotation used to mark other annotations as being transition annotations. The annotation used to group transition annotations must be given as parameter.
  Author:
    Apache MINA Project

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `Class<? extends Annotation>` | `value`

- - ### Element Detail

    - #### value

          public abstract Class<? extends Annotation> value

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.